pro get_fltw582,file,first_w,end_w,n_columns,channel,n_rows,skip_rows,srf_wav,srf_norm,sfr_err


; channel=1(440) 2(305), 3(311),4(340),5(325),6(332),7(380)	; on UV-MFRSR 582
; channel=1(440) 2(305), ..., 7(368)	; on UV-MFRSR 527
; channel=1(300) 2(305), ..., 7(368)	; for standard Yankee MFRSRs

print,file

openr,1,file &  x='' & for i=0,skip_rows-1 do readf,1,x & a=fltarr(n_columns,n_rows) & readf,1,a & close,1

; 0    1   2     3       4      5        6      7         8      9       10      11     12        13    14   
;Wav 440  305	311	340	325	332	380	440ERR	305ERR	311ERR	340ERR	325ERR	332ERR	380ERR:

w=reform(a(0,*))
;print,w
ind=where(w ge first_w and w le end_w, count) 
;print,count
;print,ind
if count le 10 then begin
print,'get_fltweb:  <10 wavelengths in SRF',first_w,end_w
stop
endif


srf_norm=reform(a(channel,ind)) & srf_wav=w(ind) & sfr_err=reform(a(channel+7,ind))   ; srf_norm=srf_norm > 0.00

; Normalization
numb=n_elements(srf_wav) ;& print,n_elements(srf_wav)
norm=int_tabulated(srf_wav,srf_norm) & print,'get_fltw:  spectral normalization=',norm
srf_norm=srf_norm/norm
;print,'int_tabulated=',int_tabulated(srf_wav,srf_norm)
;print,srf_wav
;print,srf_norm
return
end
