pro get_xsecv8,l_solv,ml_solv,solv,betv_s,c0v_s,c1v_s,c2v_s
;	I. READ MONOCHOMATIC VACUUM x-sections: V217/coe.dat
;   	Monochromatic x-sections: Bass and Paur 
;		V8 extended beyong 410nm with V7
mlt=2106 & mszat=0 &  read_coe, './BSBR_V8.DAT.extended', mlt,lv_t, c0v_t,c1v_t,c2v_t,betv_t,rhov_t,header 
;               V8
;mlt=1601 & mszat=0 &  read_coe, '/BSBR_V8.DAT.ref', mlt,lv_t, c0v_t,c1v_t,c2v_t,betv_t,rhov_t,header 
;	same as  '../TOMRAD/v2.22/coe.dat', mlt,lv_t, c0v_t,c1v_t,c2v_t,betv_t,rhov_t,header 
;		V7
;mlt=1075 & mszat=0 &  read_coe, './BSBR_V7.DAT', mlt,lv_t, c0v_t,c1v_t,c2v_t,betv_t,rhov_t,header 
;	same as: '../TOMRAD/v2.22/coe.dat.old', mlt,lv_t, c0v_t,c1v_t,c2v_t,betv_t,rhov_t,header 

;	Ia read F0 at vac solar wavelengths
read_solar,'./mayer_vac_ipmmi.txt', 275, l_solv,ml_solv,solv

;       Extrapolate x-sections to the solar vac wavelengths: ltv --> l_solv
c0v_s      = dblarr(ml_solv)
c1v_s      = dblarr(ml_solv)
c2v_s      = dblarr(ml_solv)
betv_s     = dblarr(ml_solv)
rhov_s     = dblarr(ml_solv)
c0v_s(*)  = interpol(c0v_t,lv_t,l_solv)
c1v_s(*)  = interpol(c1v_t,lv_t,l_solv)
c2v_s(*)  = interpol(c2v_t,lv_t,l_solv)
betv_s(*) = interpol(betv_t,lv_t,l_solv)
rhov_s(*) = interpol(rhov_t,lv_t,l_solv)

return
end
